---
version: "3.4"

networks:
  proxy:
    external: true
  keycloak-internal:

volumes:
  postgres:

services:
   
  keycloak:
    image: {{ keycloak_container_image }}:{{ keycloak_container_version }}
    restart: unless-stopped
    logging:
      options:
        max-size: 5m
    env_file: env-keycloak
    entrypoint: "/opt/keycloak/bin/kc.sh start"
    volumes:
      - ./themes:/opt/keycloak/themes
      - ./tmp:/opt/keycloak/tmp
      - ./import:/opt/keycloak/data/import:ro
      - ./export:/opt/keycloak/data/export
    healthcheck:
      test: set -e && exec 3<>/dev/tcp/localhost/8080 && echo -e GET /health/ready HTTP/1.0 >&3 && echo >&3 && timeout --preserve-status 1 cat <&3 | grep -m 1 status | grep -m 1 UP
      interval: 10s
      timeout: 10s
      retries: 10
      start_period: 1m
    networks:
      - proxy
      - keycloak-internal

  postgres:
    image: postgres:15.1
    restart: unless-stopped
    logging:
      options:
        max-size: 5m
    volumes:
      - postgres:/var/lib/postgresql/data
    env_file: env-postgres
    networks:
      - keycloak-internal
